## net.sf.saxon.expr.number
Class NumericGroupFormatter

    java.lang.Object
      net.sf.saxon.expr.number.NumericGroupFormatter

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IrregularGroupFormatter, RegularGroupFormatter

    public abstract class NumericGroupFormatter

extends Object
implements Serializable

A NumericGroupFormatter is responsible for insertion of grouping separators into a formatted number (for example, reformatting "1234" as "1,234").

See Also:
  Serialized Form

Constructor Summary
`NumericGroupFormatter()`

Method Summary
`abstract String` `format(FastStringBuffer value)` Reformat a number to add grouping separators
`abstract String` `getSeparator()` Get the grouping separator to be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericGroupFormatter

    public NumericGroupFormatter()

Method Detail

### format

    public abstract String format(FastStringBuffer value)

  Reformat a number to add grouping separators

  Parameters:
    `value` - a buffer holding the number to be reformatted
  Returns:
    the reformatted number

### getSeparator

    public abstract String getSeparator()

  Get the grouping separator to be used. If more than one is used, return the last. If no grouping separators are used, return null

  Returns:
    the grouping separator

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.